View Issue Details

IDProjectCategoryView StatusLast Update
0004343unrealircdpublic2015-06-15 12:21
ReporterEmanAssigned Tosyzop 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.10.2 
Target VersionFixed in Version3.4-alpha3 
Summary0004343: /mkpasswd is case sensitive
Description<authmethod> in /mkpasswd is case sensitive
Steps To Reproduce*** Syntax: /mkpasswd <authmethod> :parameter

--> /mkpasswd md5 test
*** Authentication phrase (method=md5, para=test) is: $lYjwg8In$+yj+PAi5CmshcmcX1AVkNg==

--> /mkpasswd MD5 test
*** MD5 is not an enabled authentication method
TagsNo tags attached.
3rd party modules

Activities

Stealth

2015-01-02 01:38

reporter   ~0018282

I believe the IRC command should be case-insensitive, and done so by simply changing the user input on the authentication type to lowercase.

Stealth

2015-01-02 01:57

reporter  

mkpasswd.patch (389 bytes)

syzop

2015-06-15 12:21

administrator   ~0018393

Fixed in 3.4-alpha3 (won't bother about 3.2.x, has been like that for a decade):

commit 68b4f42a525b1179e5fe554691a9b5f48ff5c0a3
Merge: 6b7776c 09c71fc
Author: Travis McArthur <travis.mcarthur@gmail.com>
Date: Tue May 19 10:51:31 2015 -0700

    Merge pull request #24 from dboyz/auth_findtype-fix

    Make auth_findtype case insensitive (0004343)

Issue History

Date Modified Username Field Change
2015-01-02 01:29 Eman New Issue
2015-01-02 01:38 Stealth Note Added: 0018282
2015-01-02 01:57 Stealth File Added: mkpasswd.patch
2015-05-01 02:20 Stealth Status new => has patch
2015-06-15 12:21 syzop Note Added: 0018393
2015-06-15 12:21 syzop Status has patch => resolved
2015-06-15 12:21 syzop Fixed in Version => 3.4-alpha3
2015-06-15 12:21 syzop Resolution open => fixed
2015-06-15 12:21 syzop Assigned To => syzop